=== debian/changelog ===
glite-lbjp-common-jp-interface (2.2.1-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:12 +0200
