=== debian/control ===
Source: glite-lbjp-common-jp-interface
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jp-common2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Public API to JP service internal interface
 Definiton of interfaces required to build plugins for JP services and
 implementation of minimal library of support
 functions.

Package: libglite-lbjp-common-jp-interface-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-jp-interface
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP interface library
 This package contains development libraries and header files for gLite L&B/JP
 interface library.

Package: glite-lbjp-common-jp-interface-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP interface library debugging symbols
 This package contains debugging symbols for gLite L&B/JP interface library.
