## glite-lbjp-common-jp-interface 2.3.1

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,16 @@
 
 CC=gcc
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/project:${jpproject}
+
+SOURCES=interface/*.h project/.post* src/*.c test/*.cpp Makefile
 
 DEBUG:=-g -O0 -W -Wno-sign-compare
 CFLAGS:=${CFLAGS} ${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include
@@ -69,7 +73,7 @@
 default_commonlib=${commonlib_nothr}
 endif
 
-default all: compile
+all: compile
 
 compile: ${lib_LTLIBRARIES}
 
@@ -104,6 +108,7 @@
 	rm -rvf *.o *.lo .libs lib*
 	rm -vf type_test type_test.xml
 	rm -f glite jp
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -112,4 +117,6 @@
 	${COMPILE} -o $@ -c $<
 
 %.lo: %.c
-	${COMPILE} -o $@ -c $< 
+	${COMPILE} -o $@ -c $<
+
+.PHONY: default all compile check doc stage install clean distclean dist distcheck
