## glite-lbjp-common-jp-interface 2.3.6

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.thr.lo: %.c
 	${COMPILE} -o $@ -c $<
