=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Public API to JP service internal interface
- Definiton of interfaces required to build plugins for JP services and
+ Definition of interfaces required to build plugins for JP services and
  implementation of minimal library of support
  functions.
