## glite-lbjp-common-jp-interface 2.3.9

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 SOURCES=interface/*.h project/.post* src/*.c test/*.cpp Makefile
 
 DEBUG:=-g -O0 -W -Wno-sign-compare
-CFLAGS:=${CFLAGS} ${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include
+CFLAGS:=${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include ${CFLAGS}
 
 # In order to use libtool versioning correcty, we must have:
 #
@@ -77,14 +77,16 @@
 
 compile: ${lib_LTLIBRARIES}
 
+ifeq (${thrflavour},)
+${commonlib}: ${OBJS}
+	${LINK} -o $@ ${OBJS} ${LIBS}
+else
 ${commonlib_nothr}: ${OBJS}
 	${LINK} -o $@ ${OBJS} ${LIBS}
 
 ${commonlib_thr}: ${THROBJS}
 	${LINK} -o $@ ${THROBJS} ${THRLIBS}
-
-${commonlib}: ${OBJS}
-	${LINK} -o $@ ${OBJS} ${LIBS}
+endif
 
 check: type_test
 	LD_LIBRARY_PATH=${log4c_prefix}/${libdir}:${log4c_prefix}/lib:${LD_LIBRARY_PATH} ./type_test type_test.xml
