=== debian/control ===
Source: glite-lbjp-common-jp-interface
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-jp-common2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Public API to JP service internal interface
 Definition of interfaces required to build plugins for Job Provenance services
 and implementation of minimal library of support
 functions.

Package: libglite-lbjp-common-jp-interface-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-jp-interface
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP interface library
 Definition of interfaces required to build plugins for Job Provenance services
 and implementation of minimal library of support
 functions.
 .
 This package contains development libraries and header files for gLite L&B/JP
 interface library.

Package: libglite-jp-common2-dbg
Section: debug
Architecture: any
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP interface library
 Definition of interfaces required to build plugins for Job Provenance services
 and implementation of minimal library of support
 functions.
 .
 This package contains debugging symbols for gLite L&B/JP interface library.
