=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.jp-interface/glite-lbjp-common-jp-interface-(.*)\.tar\.gz
